

// This is run by the uiInit script manager... not
// the regular one.  Technically, this is client only and
// could probably go live there.

import mythruna.*;
import mythruna.client.*;


def climbHelp = """\
        Usage: climb <mode> 
                   
        Where:
            <mode> is one of: none, all, simian, or reptilian
                        
            This sets the climb abilities for the player to one
            of the specified races.  none removes all climbing of
            shear surfaces.  'all' allows climbing any shear surface.
            'simian' and 'reptilian' limit climbing to only certain
            types of materials.
            
            This is a temporary command used for testing and will
            not exist in the final version of the game since then
            climbing will be an ability.
        """

addShellCommand( shell, "climb", "Sets the climb mode or displays the current climb mode.", climbHelp ) {
 
    if( it == null || it == "" ) {   
        console.echo( "No mode specified" );
        return;
    }
        
    if( it.toLowerCase() == "none" ) {
        gameClient.setCollisionMaskStrategy( null );
        console.echo( "Set climb mode to NONE." );
    } else if( it.toLowerCase() == "all" ) {
        gameClient.setCollisionMaskStrategy( MaskStrategies.ALL );
        console.echo( "Set climb mode to ALL." );
    } else if( it.toLowerCase() == "simian" ) {
        gameClient.setCollisionMaskStrategy( MaskStrategies.SIMIAN );
        console.echo( "Set climb mode to SIMIAN." );
    } else if( it.toLowerCase() == "reptilian" ) {
        gameClient.setCollisionMaskStrategy( MaskStrategies.REPTILIAN );
        console.echo( "Set climb mode to REPTILIAN." );
    }
}        
 
console.echo( "Climb mode set to ALL." );
    
def treeHelp = """\
        Usage: trees <mode> 
                   
        Where:
            <mode> is one of: low or normal
                        
            This sets the tree quality to low or normal.  Normal
            is the default.
                        
            Low quality mode renders all leaf blocks as the old
            green sponge variety... even for pine trees. 
        """
addShellCommand( shell, "trees", "Sets the tree quality.", treeHelp ) {
 
    if( it == null || it == "" ) {   
        console.echo( "No mode specified" );
        return;
    }
        
    if( it.toLowerCase() == "low" ) {
        console.echo( "Set tree mode to low quality." );
        BlockTypeIndex.setTreeQualityLow( true );
    } else if( it.toLowerCase() == "normal" ) {
        console.echo( "Set tree mode to normal quality." );
        BlockTypeIndex.setTreeQualityLow( false );
    }
        
    MainStart.globalStateManager.getState( GameAppState.class ).getLocalArea().rebuildGeometry();
}        

def floraHelp = """\
        Usage: flora <mode> 
                    
        Where:
            <mode> is one of: low or normal
                        
            This sets the flora/tall grass quality to low or normal.  
            Normal is the default.
                        
            Low quality mode renders all flora blocks as the dirt for
            testing.
        """
addShellCommand( shell, "flora", "Sets the flora quality.", treeHelp ) {
 
    if( it == null || it == "" ) {   
        console.echo( "No mode specified" );
        return;
    }
        
    if( it.toLowerCase() == "low" ) {
        console.echo( "Set flora mode to low quality." );
        BlockTypeIndex.setFloraQualityLow( true );
    } else if( it.toLowerCase() == "normal" ) {
        console.echo( "Set flora mode to normal quality." );
        BlockTypeIndex.setFloraQualityLow( false );
    }
        
    MainStart.globalStateManager.getState( GameAppState.class ).getLocalArea().rebuildGeometry();
}        
       


